Subject: [Sip] Sip query

From: [email-masked]
Date: Tue, 21 Oct 2008 11:33:06 +0530

-
A query on Sip call flow -

Party sends out INVITE with SDP info to party B to make a call. 
Party B receives the message and sends back 183 Session progress with SDP 
info to party A. In the 183 message, it does have Contact information.
Now, party A sends out CANCEL message to party B using contact header 
information received in 183 message.

Will it be valid in SIP to use Contact information before receiving 200 OK 
message or not ?

CONFIDENTIALITY NOTICE: This e-mail message, including any attachments,
is being sent by 3Com for the sole use of the intended recipient(s) and
may contain confidential, proprietary and/or privileged information.
Any unauthorized review, use, disclosure and/or distribution by any 
recipient is prohibited.  If you are not the intended recipient, please
delete and/or destroy all copies of this message regardless of form and
any included attachments and notify 3Com immediately by contacting the
sender via reply e-mail or forwarding to 3Com at [email-masked]. 
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Christer Holmberg" <[email-masked]>
Date: Tue, 21 Oct 2008 08:09:17 +0200

Hi,
 
If the UAC is sending non-CANCEL requests (INFO, PRACK, UPDATE,
re-INVITE etc) before 200 OK it would use the Contact information.
 
Regards,
 
Christer

________________________________

From: [email-masked] [mailto:[email-masked]] On Behalf Of
[email-masked]
Sent: 21. lokakuuta 2008 9:03
To: [email-masked]; [email-masked]
Subject: [Sip] Sip query

- 

*	Party sends out INVITE with SDP info to party B to make a call. 
*	Party B receives the message and sends back 183 Session progress
with SDP info to party A. In the 183 message, it does have Contact
information. 
*	Now, party A sends out CANCEL message to party B using contact
header information received in 183 message.

Will it be valid in SIP to use Contact information before receiving 200
OK message or not ?

---

From: Tarun2 Gupta <[email-masked]>
Date: Tue, 21 Oct 2008 11:53:30 +0530

Hi Udit

Pls refer Section 9.1 Client Behavior of RFC 3261

"Once the CANCEL is constructed, the client SHOULD check whether it has received any response (provisional
or final) for the request being cancelled (herein referred to as the "original request").
If no provisional response has been received, the CANCEL request MUST NOT be sent; rather, the client
MUST wait for the arrival of a provisional response before sending the request. If the original request has
generated a final response, the CANCEL SHOULD NOT be sent, as it is an effective no-op, since CANCEL
has no effect on requests that have already generated a final response. When the client decides to send the
CANCEL, it creates a client transaction for the CANCEL and passes it the CANCEL request along with
the destination address, port, and transport. The destination address, port, and transport for the CANCEL
MUST be identical to those used to send the original request."

Regards,
Tarun

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, October 21, 2008 11:33 AM
To: [email-masked]; [email-masked]
Subject: [Sip] Sip query

-

 *   Party sends out INVITE with SDP info to party B to make a call.
 *   Party B receives the message and sends back 183 Session progress with SDP info to party A. In the 183 message, it does have Contact information.
 *   Now, party A sends out CANCEL message to party B using contact header information received in 183 message.

Will it be valid in SIP to use Contact information before receiving 200 OK message or not ?

"DISCLAIMER: This message is proprietary to Aricent and is intended solely for the use of the individual to whom it is addressed. It may contain privileged or confidential information and should not be circulated or used for any purpose other than for what it is intended. If you have received this message in error,please notify the originator immediately. If you are not the intended recipient, you are notified that you are strictly prohibited from using, copying, altering, or disclosing the contents of this message. Aricent accepts no responsibility for loss or damage arising from the use of the information transmitted by this email including damage from virus."